## Description
<!--- Describe your changes in detail -->

## Motivation and Context
<!--- Why is this change required? What problem does it solve? -->
<!--- If it fixes an open issue, please link to the issue here. -->

## How Has This Been Tested?
<!--- Please describe in detail how you tested your changes. -->
<!--- Include details of your testing environment, and the tests you ran to -->
<!--- see how your change affects other areas of the code, etc. -->

## Output (if appropriate):
<!--- What is the expected output of the project after these changes? -->
<!--- You might use logs, screenshots or files depending on the behaviour. --->

## Types of changes
<!--- What types of changes does your code introduce? Put an `x` in all the boxes that apply: -->
- [ ] 🐛 Bug fix (non-breaking change which fixes an issue)
- [ ] 🌱 New feature (non-breaking change which adds functionality)
- [ ] 🌵 Breaking change (fix or feature that would cause existing functionality to change)
- [ ] 📚 Documentation (no code change)
- [ ] 🧹 Refactor (refactoring production code)
- [ ] ⚙️ Other <!--- (provide information) -->

## Checklist:
<!--- Go over all the following points, and put an `x` in all the boxes that apply. -->
- [ ] 🎨 My code follows the code style of this project.
- [ ] 📚 I have updated the _documentation_ accordingly.
  - [ ] I have updated the [README.md](https://github.com/orhun/menyoki/blob/master/README.md)
  - [ ] I have updated the [CHANGELOG.md](https://github.com/orhun/menyoki/blob/master/CHANGELOG.md)
  - [ ] I have updated the [IMPLEMENTATION.md](https://github.com/orhun/menyoki/blob/master/IMPLEMENTATION.md)
  - [ ] I have updated the [configuration file](https://github.com/orhun/menyoki/blob/master/config/menyoki.conf).
  - [ ] I have updated the [man pages](https://github.com/orhun/menyoki/tree/master/man).
- [ ] 📐 I have formatted the code with [rustfmt](https://github.com/rust-lang/rustfmt).
- [ ] 📊 I have added tests to cover my changes.
- [ ] 📈 All new and existing tests passed.
- [ ] 📎 [Clippy](https://github.com/rust-lang/rust-clippy) is not complaining.
